Question

1
Replies
78
Views
saravanank1808 Member since 2015 21 posts
Citigroup technology inc
Posted: 4 years ago
Last activity: 4 years 1 month ago
Closed

Pega 7.1.8 to 7.2.0 update error/problem

Hello 

 

We are doing pega update from 7.1.8 to 7.2.0. using command line.

Since we dont have required previleges to run the update scripts, we requested help from dba team to run the update script from db server instead of our app server.

When dba ran the update.sh file, we came across below error. This is because db server is in java version 1.5.0, but i guess pega 7.2.0 media comes with java version 1.6.0.

Is  there any other way to correct or we should certainly update the java version. your advise and help is appreciated.

 

 

Buildfile: /DBA01/EXPBACK/USRSM4D/scripts/setupDatabase.xml

BUILD FAILED
/DBA01/EXPBACK/USRSM4D/scripts/setupDatabase.xml:55: java.lang.UnsupportedClassVersionError: Bad version number in .class file
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
        at org.apache.tools.ant.AntClassLoader.defineClassFromData(AntClassLoader.java:1136)
        at org.apache.tools.ant.AntClassLoader.getClassFromStream(AntClassLoader.java:1307)
        at org.apache.tools.ant.AntClassLoader.findClassInComponents(AntClassLoader.java:1362)
        at org.apache.tools.ant.AntClassLoader.findClass(AntClassLoader.java:1323)
        at org.apache.tools.ant.AntClassLoader.loadClass(AntClassLoader.java:1076)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:252)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:320)
        at java.lang.Class.forName0(Native Method)
        at java.lang.Class.forName(Class.java:242)
        at org.apache.tools.ant.taskdefs.Definer.addDefinition(Definer.java:579)
        at org.apache.tools.ant.taskdefs.Definer.loadProperties(Definer.java:408)
        at org.apache.tools.ant.taskdefs.Definer.execute(Definer.java:264)
        at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:292)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:592)
        at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
        at org.apache.tools.ant.Task.perform(Task.java:348)
        at org.apache.tools.ant.Target.execute(Target.java:435)
        at org.apache.tools.ant.helper.ProjectHelper2.parse(ProjectHelper2.java:180)
        at org.apache.tools.ant.ProjectHelper.configureProject(ProjectHelper.java:93)
        at org.apache.tools.ant.Main.runBuild(Main.java:826)
        at org.apache.tools.ant.Main.startAnt(Main.java:235)
        at org.apache.tools.ant.launch.Launcher.run(Launcher.java:280)
        at org.apache.tools.ant.launch.Launcher.main(Launcher.java:109)

**Updated by Moderator: Vidyaranjan. Removed user added Ask the Expert tag. Apologies for confusion, shouldn't have been an end-user option***

Low-Code App Development Upgrades Data Integration
Moderation Team has archived post
Share this page LinkedIn